import { AutoMockFactory } from "./auto-mock.factory";
import { RootMockProvider } from "./root-mock.provider";
import { Optional } from "../static.injector/metadata";
import { AutoMockedStorage } from "./auto-mock.storage";
import { AutoMockProvider } from "./auto-mock.provider";
import { AutoMockOptionsBuilder } from "./auto-mock-options.builder";
import { AutoMockNameFormatter } from "./name-formatters/auto-mock-name.formatter";
import { AutoMockInjectorConfig } from "./auto-mock-injector.config";
import { NamePrefixProvider } from "./name-formatters/name-prefix.provider";
import { MethodFormatter } from "../formatters/method.formatter";
import { NamedMethodFormatter } from "../formatters/named-method.formatter";
import { ConstantFormatter } from "../formatters/constant.formatter";
import { ExpressionEqualityComparer } from "./expression.equality-comparer";
import { GetPropertyEqualityComparer } from "../expression.equality-comparers/get-property.equality-comparer";
import { SetPropertyEqualityComparer } from "../expression.equality-comparers/set-property.equality-comparer";
import { MethodEqualityComparer } from "../expression.equality-comparers/method.equality-comparer";
import { InstanceMethodEqualityComparer } from "../expression.equality-comparers/instance-method.equality-comparer";
import { NewOperatorEqualityComparer } from "../expression.equality-comparers/new-operator.equality-comparer";
import { ItEqualityComparer } from "../expression.equality-comparers/it.equality-comparer";
/**
 * @hidden
 */
export declare const autoMockingProviders: ({
    provide: typeof NamePrefixProvider;
    useClass: typeof NamePrefixProvider;
    deps: any[];
} | {
    provide: typeof AutoMockedStorage;
    useClass: typeof AutoMockedStorage;
    deps: any[];
} | {
    provide: typeof AutoMockNameFormatter;
    useClass: typeof AutoMockNameFormatter;
    deps: (typeof ConstantFormatter | typeof MethodFormatter | typeof NamedMethodFormatter | typeof NamePrefixProvider)[];
} | {
    provide: typeof AutoMockOptionsBuilder;
    useClass: typeof AutoMockOptionsBuilder;
    deps: (import("../static.injector/injection_token").InjectionToken<import("../moq").IMockOptions<any>> | typeof AutoMockNameFormatter | typeof AutoMockInjectorConfig)[];
} | {
    provide: typeof AutoMockInjectorConfig;
    useClass: typeof AutoMockInjectorConfig;
    deps: (import("../static.injector/injection_token").InjectionToken<import("../moq").IMockOptions<any>> | (import("../static.injector/injection_token").InjectionToken<import("../moq").IMock<unknown>> | Optional)[])[];
} | {
    provide: typeof AutoMockFactory;
    useClass: typeof AutoMockFactory;
    deps: (typeof AutoMockOptionsBuilder | import("../static.injector/injection_token").InjectionToken<(opts: import("../moq").IMockOptions<unknown>) => import("../moq").IMock<unknown>>)[];
} | {
    provide: typeof RootMockProvider;
    useClass: typeof RootMockProvider;
    deps: (import("../static.injector/injection_token").InjectionToken<import("../moq").IMock<unknown>> | (import("../static.injector/injection_token").InjectionToken<import("../moq").IMock<unknown>> | Optional)[])[];
} | {
    provide: typeof AutoMockProvider;
    useClass: typeof AutoMockProvider;
    deps: (typeof AutoMockFactory | typeof AutoMockedStorage | typeof ExpressionEqualityComparer)[];
} | {
    provide: typeof ExpressionEqualityComparer;
    useClass: typeof ExpressionEqualityComparer;
    deps: (typeof GetPropertyEqualityComparer | typeof SetPropertyEqualityComparer | typeof MethodEqualityComparer | typeof InstanceMethodEqualityComparer | typeof NewOperatorEqualityComparer | typeof ItEqualityComparer)[];
})[];
