import { ConstantEqualityComparer } from "./constant.equality-comparer";
import { ArgumentsEqualityComparer } from "./arguments.equality-comparer";
import { InstanceMethodEqualityComparer } from "./instance-method.equality-comparer";
import { MethodEqualityComparer } from "./method.equality-comparer";
import { NewOperatorEqualityComparer } from "./new-operator.equality-comparer";
import { SetPropertyEqualityComparer } from "./set-property.equality-comparer";
/**
 * @hidden
 */
export declare const expressionEqualityComparersProviders: ({
    provide: typeof ConstantEqualityComparer;
    useClass: typeof ConstantEqualityComparer;
    deps: any[];
} | {
    provide: typeof ArgumentsEqualityComparer;
    useClass: typeof ArgumentsEqualityComparer;
    deps: (typeof ConstantEqualityComparer)[];
} | {
    provide: typeof InstanceMethodEqualityComparer;
    useClass: typeof InstanceMethodEqualityComparer;
    deps: (typeof ArgumentsEqualityComparer)[];
} | {
    provide: typeof MethodEqualityComparer;
    useClass: typeof MethodEqualityComparer;
    deps: (typeof ArgumentsEqualityComparer)[];
} | {
    provide: typeof NewOperatorEqualityComparer;
    useClass: typeof NewOperatorEqualityComparer;
    deps: (typeof ArgumentsEqualityComparer)[];
} | {
    provide: typeof SetPropertyEqualityComparer;
    useClass: typeof SetPropertyEqualityComparer;
    deps: (typeof ConstantEqualityComparer)[];
})[];
