import { VerifyFormatter } from "./verify.formatter";
import { ExpressionsFormatter } from "./expressions.formatter";
import { TrackedExpressionsFormatter } from "./tracked-expressions.formatter";
import { InteractionFormatter } from "./interaction.formatter";
import { SetPropertyFormatter } from "./set-property.formatter";
import { ConstantFormatter } from "./constant.formatter";
import { PropertyKeyFormatter } from "./property-key.formatter";
import { NamedMethodFormatter } from "./named-method.formatter";
import { MethodFormatter } from "./method.formatter";
import { InOperatorFormatter } from "./in-operator.formatter";
import { GetPropertyFormatter } from "./get-property.formatter";
import { NewOperatorFormatter } from "./new-operator.formatter";
import { Tracker } from "../tracker/tracker";
/**
 * @hidden
 */
export declare const formattersProviders: ({
    provide: typeof VerifyFormatter;
    useClass: typeof VerifyFormatter;
    deps: (typeof Tracker | typeof ExpressionsFormatter | typeof TrackedExpressionsFormatter)[];
} | {
    provide: typeof TrackedExpressionsFormatter;
    useClass: typeof TrackedExpressionsFormatter;
    deps: (typeof InteractionFormatter)[];
} | {
    provide: typeof SetPropertyFormatter;
    useClass: typeof SetPropertyFormatter;
    deps: (typeof ConstantFormatter)[];
} | {
    provide: typeof PropertyKeyFormatter;
    useClass: typeof PropertyKeyFormatter;
    deps: any[];
} | {
    provide: typeof NamedMethodFormatter;
    useClass: typeof NamedMethodFormatter;
    deps: (typeof ConstantFormatter)[];
} | {
    provide: typeof MethodFormatter;
    useClass: typeof MethodFormatter;
    deps: (typeof ConstantFormatter)[];
} | {
    provide: typeof InOperatorFormatter;
    useClass: typeof InOperatorFormatter;
    deps: (typeof PropertyKeyFormatter)[];
} | {
    provide: typeof GetPropertyFormatter;
    useClass: typeof GetPropertyFormatter;
    deps: (typeof PropertyKeyFormatter)[];
} | {
    provide: typeof ExpressionsFormatter;
    useClass: typeof ExpressionsFormatter;
    deps: (import("../static.injector/injection_token").InjectionToken<import("../moq").IMockOptions<any>> | typeof InteractionFormatter)[];
} | {
    provide: typeof NewOperatorFormatter;
    useClass: typeof NewOperatorFormatter;
    deps: (typeof ConstantFormatter)[];
} | {
    provide: typeof InteractionFormatter;
    useClass: typeof InteractionFormatter;
    deps: (typeof ConstantFormatter | typeof MethodFormatter | typeof NamedMethodFormatter | typeof GetPropertyFormatter | typeof SetPropertyFormatter | typeof InOperatorFormatter | typeof NewOperatorFormatter)[];
})[];
