import { It } from "./expression-predicates";
import { GetPropertyInteraction, InOperatorInteraction, MethodInteraction, NamedMethodInteraction, NewOperatorInteraction, SetPropertyInteraction } from "../interactions";
/**
 * See {@link NamedMethodInteraction}
 */
export declare class NamedMethodExpression extends NamedMethodInteraction {
}
/**
 * See {@link MethodInteraction}
 */
export declare class MethodExpression extends MethodInteraction {
}
/**
 * See {@link GetPropertyInteraction}
 */
export declare class GetPropertyExpression extends GetPropertyInteraction {
}
/**
 * See {@link SetPropertyInteraction}
 */
export declare class SetPropertyExpression extends SetPropertyInteraction {
}
/**
 * See {@link InOperatorInteraction}
 */
export declare class InOperatorExpression extends InOperatorInteraction {
}
/**
 * See {@link NewOperatorInteraction}
 */
export declare class NewOperatorExpression extends NewOperatorInteraction {
}
/**
 * This types are special sub types of expressions that are used in an expectation context.
 */
export declare type Expressions<T> = MethodExpression | GetPropertyExpression | SetPropertyExpression | InOperatorExpression | NamedMethodExpression | NewOperatorExpression | It<T>;
