import { Expressions } from "./expressions";
import { ReflectorProxyFactory } from "./reflector-proxy.factory";
import { ExpressionReflector, IExpression } from "./expression-reflector";
/**
 * This class reflects an expression to an expression tree representation.
 *
 * For more examples check
 * [unit tests for this class]
 * (https://github.com/dvabuzyarov/moq.ts/blob/master/projects/moq/src/lib/reflector/full.expression-reflector.spec.ts)
 */
export declare class FullExpressionReflector implements ExpressionReflector {
    private readonly reflectorProxyFactory;
    constructor(reflectorProxyFactory: ReflectorProxyFactory);
    /**
     * Reflects the provided code as an expression tree.
     */
    reflect<T>(expression: IExpression<T>): Expressions<T>[];
}
