import { Expressions } from "./expressions";
import { FullExpressionReflector } from "./full.expression-reflector";
import { ExpressionReflector, IExpression } from "./expression-reflector";
/**
 * This class reflects an expression to the first expression representation.
 *
 */
export declare class SingleExpressionReflector implements ExpressionReflector {
    private readonly reflector;
    constructor(reflector: FullExpressionReflector);
    /**
     * Reflects the provided code as an expression tree.
     *
     * @returns The first expression
     */
    reflect<T>(expression: IExpression<T>): Expressions<T>[];
}
