import { Expressions } from "../../reflector/expressions";
import { MethodFormatter } from "../../formatters/method.formatter";
import { PropertyKeyFormatter } from "../../formatters/property-key.formatter";
import { NamedMethodFormatter } from "../../formatters/named-method.formatter";
import { ConstantFormatter } from "../../formatters/constant.formatter";
import { NamePrefixProvider } from "./name-prefix.provider";
/**
 * @hidden
 */
export declare class AutoMockNameFormatter {
    private readonly namePrefixProvider;
    private readonly methodFormatter;
    private readonly propertyKeyFormatter;
    private readonly namedMethodFormatter;
    private readonly constantFormatter;
    constructor(namePrefixProvider: NamePrefixProvider, methodFormatter: MethodFormatter, propertyKeyFormatter: PropertyKeyFormatter, namedMethodFormatter: NamedMethodFormatter, constantFormatter: ConstantFormatter);
    format<T>(name: string | undefined, expression: Expressions<T>): string;
}
