import { SetPropertyExpressionMatcher } from "./set-property.matcher";
import { ConstantMatcher } from "./constant.matcher";
import { NamedMethodExpressionMatcher } from "./instance-method.matcher";
import { ArgumentsMatcher } from "./arguments.matcher";
import { MethodExpressionMatcher } from "./method.matcher";
import { InOperatorExpressionMatcher } from "./in-operator.matcher";
import { GetPropertyExpressionMatcher } from "./get-property.matcher";
import { ExpressionMatcher } from "./expression.matcher";
import { NewOperatorExpressionMatcher } from "./new-operator.matcher";
import { ItMatcher } from "./it.matcher";
import { GetPropertyEqualityComparer } from "../expression.equality-comparers/get-property.equality-comparer";
/**
 * @hidden
 */
export declare const expressionMatchersProviders: ({
    provide: typeof ExpressionMatcher;
    useClass: typeof ExpressionMatcher;
    deps: (typeof GetPropertyExpressionMatcher | typeof SetPropertyExpressionMatcher | typeof MethodExpressionMatcher | typeof NamedMethodExpressionMatcher | typeof InOperatorExpressionMatcher | typeof NewOperatorExpressionMatcher | typeof ItMatcher)[];
} | {
    provide: typeof SetPropertyExpressionMatcher;
    useClass: typeof SetPropertyExpressionMatcher;
    deps: (typeof ConstantMatcher)[];
} | {
    provide: typeof NamedMethodExpressionMatcher;
    useClass: typeof NamedMethodExpressionMatcher;
    deps: (typeof ArgumentsMatcher)[];
} | {
    provide: typeof MethodExpressionMatcher;
    useClass: typeof MethodExpressionMatcher;
    deps: (typeof ArgumentsMatcher)[];
} | {
    provide: typeof InOperatorExpressionMatcher;
    useClass: typeof InOperatorExpressionMatcher;
    deps: any[];
} | {
    provide: typeof GetPropertyExpressionMatcher;
    useClass: typeof GetPropertyExpressionMatcher;
    deps: (typeof GetPropertyEqualityComparer)[];
} | {
    provide: typeof ArgumentsMatcher;
    useClass: typeof ArgumentsMatcher;
    deps: (typeof ConstantMatcher)[];
} | {
    provide: typeof NewOperatorExpressionMatcher;
    useClass: typeof NewOperatorExpressionMatcher;
    deps: (typeof ArgumentsMatcher)[];
})[];
