import { Verifier } from "./verifier";
import { CallCounter } from "./call-counter";
import { VerifyFormatter } from "../formatters/verify.formatter";
import { ExpressionMatcher } from "../expression-matchers/expression.matcher";
import { Tracker } from "../tracker/tracker";
import { AutoMockProvider } from "../auto-mocking/auto-mock.provider";
import { VerificationTester } from "./verification-tester";
/**
 * @hidden
 */
export declare const verificationProviders: ({
    provide: typeof Verifier;
    useClass: typeof Verifier;
    deps: (typeof AutoMockProvider | typeof CallCounter | typeof VerificationTester)[];
} | {
    provide: typeof CallCounter;
    useClass: typeof CallCounter;
    deps: (typeof Tracker | typeof ExpressionMatcher)[];
} | {
    provide: typeof VerificationTester;
    useClass: typeof VerificationTester;
    deps: (typeof VerifyFormatter)[];
})[];
